# Eyeware – Beam SDK Licensing Terms [ BET-SDK-License-1.0 ]

## 1 GENERAL

### 1.1 Intro
This SDK license agreement (the Agreement) governs the relationship between you (either an individual or an entity) and by Eyeware Tech SA, rue Marconi 19 Centre du Parc 1920 Martigny, Switzerland (Eyeware, we, us or our) regarding the software development kit, which may include user documentation provided in online or electronic form (the SDK) for Eyeware's Beam solution (the Beam Solution). Before using the SDK, you must read this Agreement carefully, as it is contractually binding.

### 1.2 Acceptance
We make the SDK available to you provided that you agree to comply with the terms of this Agreement. By downloading, accessing and/or using the SDK, you acknowledge that you have read and agree to be bound by the provisions of this Agreement. If you are accepting this Agreement on behalf of an entity such as a corporation, you hereby represent and warrant that you have the authority to do so.

### 1.3 Amendments
The Agreement may be amended from time to time in which case you will be notified by any appropriate mean (including through our developer community page, or via email or other notification mechanisms). If you do not accept the amendments thus made by us, your sole remedy is to no longer access and/or use the SDK.

### 1.4 Beam Account and ToU
The SDK may only be used in connection with a valid account for the Beam Solution and acceptance of the Beam Solution terms of use (https://beam.eyeware.tech/license.html), as may be amended from time to time (Beam ToU). This Agreement applies to you in addition (and not instead) of the Beam ToU.

## 2 LICENSE

Subject to your compliance with the Agreement, we grant you a worldwide, royalty-free, non-exclusive, non-transferable, revocable and limited right, without right of sublicense, to develop, build, install, test, integrate, implement support and use your own branded applications that interoperate with the Beam Solution (the Applications), including the incorporation and integration of SDK into your Applications for purpose of enabling interoperability with the Beam Solution, subject to limitations set forth in this Agreement. We and/or our licensors reserve all rights on the SDK, its content and the services not expressly granted herein.

## 3 RESTRICTION OF USE

### 3.1
You may use the SDK solely in connection with the Beam Solution, for the purposes set forth in Section 2.

### 3.2
In addition to the restrictions specified in section 4.1 ToU (Acceptable Use Policy), you may not, and may not enable others to, without our prior written consent:

- a) represent functionality provided by the Beam Solution as your technology.
- b) place or upload the SDK or any other software that form part of the Beam Solution, any upgrade, update or derivatives thereof, on the Internet (e.g. any developer repository on Internet other than Eyeware’s websites or portals), any similar network service, or otherwise disclose them to third parties.
- c) reproduce or access and/or use paying functionalities of the Beam Solution without paying such fees to us, including by circumventing technical measures or by means of reverse engineering techniques.
- d) integrate the Beam Solution with any Application, or otherwise use the SDK in connection with any service, activity, software or content that:
  - (i) qualifies as an High-Risk Use or medical use, as specified in sections 3.3 and 3.4 below;
  - (ii) includes adult content, promotes gambling, involves the sale of tobacco or hard liquor to persons under 18 years of age, or otherwise violates any applicable law, regulation or right of others;
  - (iii) copy all or part of the Beam Solution or of its functionalities without our written consent;
  - (iv) prevent or degrade the interaction of applications developed by others with the Beam Solution, or otherwise disrupt or attempt to disrupt the SDK or any other person’s use or enjoyment of the SDK;
  - (v) interferes with the operation of the SDK or its purpose as described within the SDK documentation;
  - (vi) is, in Eyeware’s sole discretion, harassing, defamatory, abusive, pornographic, obscene or otherwise objectionable;
- e) use of end-users data beyond what is described within the SDK documentation or beyond what is specifically agreed and required within the scope of software development;
- f) distribute or allow access to the Beam Solution to anyone, or create an application programming interface that enables access to the Beam Solution or underlying technology;
- g) implement features or business practices that harm the professional reputation, relationships, or professional ecosystem of Eyeware, Eyeware's customers or end-user;
- h) remove, obscure, or alter any proprietary rights or confidentiality notices within the SDK or any software, documentation or other materials in it or supplied with it, including the Beam Solution;
- i) conduct any activity in breach of section 4 below (compliance with laws/privacy).

### 3.3 High-Risk Use
The SDK and the Beam Solution are not designed or intended to support any use in which a service interruption, defect, error, or other failure of the Beam Solution could result in the death or serious bodily injury of any person or in physical or environmental damage. You must design and implement every Application so that the safety of people, property, and the environment are not reduced below a reasonable level.

### 3.4 Medical Device Disclaimer
You are responsible for informing users that:
1. the SDK and Beam Solution are not medical devices,
2. they are not substitutes for professional medical advice, diagnosis or treatment.

### 3.5 OSS
Some SDK components may be open source and governed by open source licenses. Eyeware will provide a list on request.

### 3.6 Monitoring
We reserve the right to monitor SDK usage and work with authorities in case of violations.

## 4 COMPLIANCE WITH LAWS/PRIVACY

### 4.1 In General
You must comply with applicable laws regarding data protection and security.

### 4.2 Privacy
You may not record and transmit tracking data of users, or otherwise process their personal data, unless you cumulatively:

- a) provided sufficient information about your processing activities;
  - ✓ the information you provide must cover, without limitation: which data is collected, for which purpose(s), by whom, with whom and where it is shared, and what rights the user has,
  - ✓ you may not process the data in a manner that is inconsistent with the information provided,
  - ✓ users must be able to visualize each time tracking data is active (e.g. using a "red dot" recording logo),
- b) have obtained the users' prior explicit and freely given consent;
  - ✓ consent requires an affirmative action (e.g. no pre-ticked box),
  - ✓ users must be able to withdraw their consent easily and at any time,
- c) ensure the security of such data; and
- d) comply with any applicable data protection and privacy laws.

## 5 INTELLECTUAL PROPERTY AND CONFIDENTIALITY

### 5.1 Ownership
We and our licensors own the copyright and all intellectual property rights in and to the SDK and the content published on or through it.

### 5.2 Infringement
If you think that the SDK or the provision of any content of the SDK infringe any copyright or other intellectual property right, you may at all times contact us at contact@eyeware.tech and we will investigate your request.

### 5.3 Confidentiality
Any information relating to the SDK or any component thereof, as well as business or proprietary information of Eyeware shall be deemed confidential information of Eyeware, shall be kept confidential, shall not be used for any other purpose than for the use permitted in accordance with Section 3, and shall not be disclosed to any third party, except on a strictly need-to-know basis for such purpose.

## 6 MAINTENANCE, UPDATES AND MODIFICATIONS

**6.1 In General.**  
We have no obligation to you to provide maintenance, updates, support or other services. However, if provided, any update shall constitute an integral part of the SDK and the rules of this Agreement apply to such updates.

**6.2 Automated updates and modifications.**  
In order to improve the SDK, we reserve the right to introduce automatic updates and modifications into the SDK (if applicable) so long as your device is connected to the Internet, without your needing to install the said updates and modifications manually. In order to ensure efficiency of the mentioned updates and modifications and to enable you to continue using the SDK, you hereby express consent to the introduction of such updates and modifications.

**6.3 Non-automated updates and modifications.**  
You also agree that we may require you to accept and download updates for further use or access to the SDK when it is necessary for proper functioning of the SDK.

## 7 NO WARRANTIES AND LIABILITY

**7.1 As Is.**  
The SDK is provided “as is” and “as available”. We disclaim all warranties, express or implied, in connection therewith, including any warranties of merchantability, fitness for a particular purpose, quiet enjoyment and non-infringement of third-party rights, to the fullest extent permitted by applicable law. Without limiting the generally of the foregoing, we neither represent nor warrant that the SDK will (i) meet your requirements or expectations; (ii) that the operation of the SDK will be uninterrupted or err...

**7.2 Exclusion of liability.**  
To the extent permitted by applicable law, we waive all liability for any direct, indirect, consequential or special losses or damages of any kind whatsoever, arising from, or in connection with, the access and use of the SDK, or any reliance on any of the data provided on or otherwise in connection with the SDK. Without prejudice to the generality of the foregoing, to the extent permitted under applicable law, we disclaim any liability for damages or losses, whether foreseen or foreseeable, or whethe...

## 8 INDEMNIFICATION

You must defend, hold harmless and indemnify us and our licensors for any claim, demand, dispute, litigation, damage or loss (including reasonable attorney’s fees) incurred by us or another user of the SDK or a third party arising out of your access or use of the SDK and/or any infringement of the Agreement.

## 9 MODIFICATIONS AND TERMINATION

We reserve the right, at any time, without having to provide any justification, to modify, and/or temporarily or permanently cease to provide, the SDK or any data, with or without notice, without incurring any liability.

## 10 MISCELLANEOUS

**10.1 Severability.**  
If any provision of the Agreement is or becomes invalid, unenforceable or non-binding, this shall not affect any other provision thereof. In such event, such invalid, unenforceable or non-binding provision shall nonetheless be enforced to the fullest extent permitted under applicable law, insofar as the invalid, unenforceable or non-binding provision shall be replaced by a valid, enforceable and binding provision reflecting to the greatest extent possible the intent of the original provision.

**10.2 Assignment.**  
We may at our own discretion at any time assign and/or delegate our rights and obligations under this Agreement or any part of them to any third party without notice to you. You may not assign your rights and obligations under this Agreement in whole or in part to any person or entity without our prior written consent, and any unauthorized assignment and delegation by you is void.

**10.3 Translations.**  
Only the English version of this document has legal effect. Any translations of this document to other languages are provided for your convenience only.

## 11 GOVERNING LAW AND JURISDICTION

**11.1 Governing Law.**  
The Agreement is governed exclusively by Swiss law, without reference to its conflict of laws provisions.

**11.2 Jurisdiction.**  
The competent courts at the registered office of Eyeware have exclusive jurisdiction to settle all disputes in connection with this Agreement.

## 12 CONTACT

For any questions regarding the SDK or the Agreement, you may contact us at **contact@eyeware.tech**.
